---
- name: Create a data directory for zookeeper
  file:
    src: "{{ zookeeper_datadir }}"
    state: directory

- name: Enter id in myid
  template:
     src: myid.j2
     dest: "{{ zookeeper_datadir }}"
- name: Create a service for zookeeper
  template:
    src: zookeepr.service.j2
    dest: /etc/systemd/system/zookeeper.service
  notify:
    - Reload systemd daemon
- name: Configure zookeeper.properties
  template:
    src: zookeeper.properties.j2
    dest: "{{ kafka_path }}/config/zookeeper.properties"
  notify:
    - Start zookeeper service

